/*
 This code will blink an LED attached to pin 13 on and off. 
 It will stay on for 0.25 seconds.
 It will stay off for 1 second.
 */
#include <Metro.h> //Include Metro library

#define LED 13 // Define the led's pin

//Create a variable to hold theled's current state
int state = LOW;
uint32_t blinkrate = 500;

// Instanciate a metro object and set the interval to 250 milliseconds (0.25 seconds).
Metro ledTimer; 

//============================================================================
void setup() {
  
  Serial.begin(9600);
  delay(500);
  Serial.println("[blinking]");
  Serial.print("Metro library version: "); Serial.println(Metro_VERSION);
  Serial.println("Demonstrates the use of the Metro library.\n");
  
  pinMode(LED, OUTPUT);
  digitalWrite(LED, state);
  
  Serial.print("Blinking pin 13 at a rate of "); Serial.print(blinkrate); Serial.println(" ms ...");
  //ledTimer = Metro(blinkrate); 
  ledTimer.interval(blinkrate);  // start the timer
}

//============================================================================
void loop() {

  if (ledTimer.check()) { // check if the metro has passed its interval .
  
    if (state==HIGH)  state = LOW;
    else state = HIGH;
    
    digitalWrite(LED, state);
  }
}


