//
//
//
// This example sends a Serial message every 250 milliseconds
//

#include <Metro.h> // Include the Metro library

#define LED 13

Metro serialTimer;  

uint16_t lineCnt = 0;
uint16_t maxLine = 25;

//---------------------------------------
void printMessage() {
  
  // Output all the analog readings seperated by a space character
    for (int i = 0; i < 6; i++ ) {
      Serial.print (analogRead(i) ); Serial.print("  ");
    }
    // Terminate message with a linefeed and a carriage return
    Serial.println();
    lineCnt += 1;
    if (lineCnt % maxLine == 0) {
      printHeader();
    }
}

//----------------------------------
void printHeader() {
  Serial.println();
  Serial.println("A0   A1   A2   A3   A4   A5");
  Serial.println("----------------------------");
}

//============================================
void setup() {
  Serial.begin(9600); // Start the Serial communication
  delay(500);
  Serial.println("[Serial_Interval]");
  Serial.print("Metro library version: "); Serial.println(Metro_VERSION);
  Serial.println("Demonstrates the use of the Metro library.\n");
  Serial.println("Sends every second a message to the serial monitor while toggling the LED.\n");
  
  Serial.println("Analog readings");
  printHeader();
  
  pinMode(LED, OUTPUT);
  digitalWrite(LED, LOW);
  
  serialTimer = Metro(1000);  // Instantiate a Metro object
}


//============================================
void loop() {

  if (serialTimer.check()) { // check if the metro has passed it's interval .
  
    if (digitalRead(LED) == LOW) digitalWrite(LED, HIGH);    // togle the LED
    else  digitalWrite(LED, LOW);
  
    printMessage();
    //serialTimer.reset();    // restart the timer if printMessage takes a long time
  }
}

